debops.java default variables

Support for backported OpenJRE 8 environment

java__install_v8

The role will install OpenJRE 8 on older OS releases that provide backported packages. For this to work correctly, the host needs to have enabled Backports repositories. See debops.apt role for more details.

If the APT configuration is not detected, the role will install the default Java packages for a given OS release.

java__install_v8: '{{ True
                      if ((ansible_local|d() and ansible_local.apt|d() and
                           ansible_local.apt.configured|d()) and
                          (ansible_distribution_release in java__v8_backported_releases))
                      else False }}'
java__install_jdk

By default the role installs only the Java Runtime Environment (JRE) packages. Other Ansible roles can request installation of the compatible Java Development Kit (JDK) by enabling this variable.

java__install_jdk: False
java__v8_backported_releases

List of OS releases which provide OpenJRE 8 packages through Backports.

java__v8_backported_releases: [ 'jessie' ]

Java APT packages

java__base_packages

List of default APT packages which should be installed for Java Runtime Environment.

java__base_packages: '{{ ([ "openjdk-8-jre-headless" ]
                          if (java__install_v8|bool)
                          else [ "default-jre-headless" ])
                        + [ "ca-certificates-java" ] }}'
java__jdk_packages

List of default APT packages which should be installed for Java Development Kit.

java__jdk_packages: '{{ ([ "openjdk-8-jdk-headless" ]
                         if java__install_v8|bool
                         else ([ "default-jdk" ]
                               if (ansible_distribution_release in
                                   [ "wheezy", "jessie", "precise", "trusty" ])
                               else [ "default-jdk-headless" ]))
                        if java__install_jdk|bool else [] }}'
java__packages

List of APT packages which should be installed on all hosts in Ansible inventory.

java__packages: []
java__group_packages

List of APT packages which should be installed on a group of hosts in Ansible inventory.

java__group_packages: []
java__host_packages

List of APT packages which should be installed on specific hosts in Ansible inventory.

java__host_packages: []
java__dependent_packages

List of APT packages requested by other Ansible roles.

java__dependent_packages: []
java__alternatives

Set java alternatives.

java__alternatives: ''

Configuration for other Ansible roles

java__apt_preferences__dependent_list

Configuration for the debops.apt_preferences Ansible role.

java__apt_preferences__dependent_list:

  - package: 'ca-certificates-java'
    backports: [ 'jessie' ]
    reason:  'Requied by OpenJRE/OpenJDK 8 from Backports'
    by_role: 'debops.java'
    state:   '{{ "present" if (java__install_v8|bool) else "absent" }}'